package eu.eudat.dao.entities;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.DataRepository;
import eu.eudat.models.criteria.DataRepositoryCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;

public interface DataRepositoryDao extends DatabaseAccessLayer<DataRepository, UUID> {
    QueryableList<DataRepository> getWithCriteria(DataRepositoryCriteria criteria);
}