package eu.eudat.dao.entities;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Organisation;
import eu.eudat.models.criteria.OrganisationCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;

public interface OrganisationDao extends DatabaseAccessLayer<Organisation, UUID> {

    QueryableList<Organisation> getWithCriteria(OrganisationCriteria criteria);

}