package eu.eudat.dao.entities;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.UserInfo;
import eu.eudat.models.criteria.UserInfoCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;

public interface UserInfoDao extends DatabaseAccessLayer<UserInfo, UUID> {

    QueryableList<UserInfo> getWithCriteria(UserInfoCriteria criteria);

}