package eu.eudat.dao.entities;

import eu.eudat.dao.DatabaseAccessLayer;
import eu.eudat.entities.Project;
import eu.eudat.entities.UserInfo;
import eu.eudat.models.criteria.ProjectCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;

public interface ProjectDao extends DatabaseAccessLayer<Project, UUID> {

    QueryableList<Project> getWithCriteria(ProjectCriteria criteria);

    QueryableList<Project> getAuthenticated(QueryableList<Project> query, UserInfo principal);

}